Public Types | Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
Level::ETag Struct Reference

`#include <level.h>`

## Public Types
typedef unsigned char | ETagSize

## Public Member Functions
| ETag ()
void | clear ()

## Static Public Member Functions
static ETag | BitwiseOr (ETag const eTags[], int size=4)

## Public Attributes
ETagSize | _nonManifold: 1
ETagSize | _boundary: 1
ETagSize | _infSharp: 1
ETagSize | _semiSharp: 1

## Detailed Description

Definition at line 124 of file level.h.

## Member Typedef Documentation

## § ETagSize

typedef unsigned char ETagSize

Definition at line 130 of file level.h.

## Constructor & Destructor Documentation

## § ETag()

ETag | ( |  | ) |
| inline

Definition at line 125 of file level.h.

## Member Function Documentation

## § BitwiseOr()

static ETag BitwiseOr | ( | ETag const | eTags[],
|  | int | size = `4`
| ) |  |
| static

## § clear()

void clear | ( |  | ) |
| inline

Definition at line 128 of file level.h.

## Member Data Documentation

## § _boundary

ETagSize _boundary

Definition at line 133 of file level.h.

## § _infSharp

ETagSize _infSharp

Definition at line 134 of file level.h.

## § _nonManifold

ETagSize _nonManifold

Definition at line 132 of file level.h.

## § _semiSharp

ETagSize _semiSharp

Definition at line 135 of file level.h.

The documentation for this struct was generated from the following file:

- opensubdiv/vtr/level.h